/**
 * \file Movable.cpp
 * \date 12.04.2003
 *
 * Interface for the general world object class
 */

#include "Player/World/Movable.h"
#include "Player/World/World.h"

Movable::Movable(World* w) : WorldObject(w)
{
	age = 0;
}

Movable::Movable(const Movable& object) : WorldObject(object.world)
{
	pos = object.pos;
	vel = object.vel;
	age = object.age;
}

Movable& Movable::operator=(const Movable& object)
{
	if(&object == this) return *this;

	pos = object.pos;
	vel = object.vel;
	age = object.age;

	return *this;
}

int Movable::IncrementAge()
{
	age++;
	return age;
}
